## ros-noetic-moveit-task-constructor-visualization 0.1.1

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.1.3)
project(moveit_task_constructor_visualization)

find_package(catkin REQUIRED COMPONENTS
	moveit_core
	moveit_ros_visualization
	moveit_task_constructor_core
	moveit_task_constructor_msgs
	roscpp
	rviz
)

moveit_build_options()

# rviz transitively includes OGRE headers which break with `-Wall -Werror`
# so isolate these include dirs and add them as SYSTEM include where needed.
set(rviz_OGRE_INCLUDE_DIRS)
foreach(header IN ITEMS OgreRoot.h OgreOverlay.h)
	find_path(include_dir ${header}
		HINTS ${catkin_INCLUDE_DIRS}
		NO_DEFAULT_PATH)
	list(REMOVE_ITEM catkin_INCLUDE_DIRS "${include_dir}")
	list(APPEND rviz_OGRE_INCLUDE_DIRS "${include_dir}")
endforeach()

# definition needed for boost/math/constants/constants.hpp included by Ogre to compile
add_definitions(-DBOOST_MATH_DISABLE_FLOAT128)

# Qt Stuff
if("${rviz_QT_VERSION}" VERSION_LESS "5")
	find_package(Qt4 ${rviz_QT_VERSION} REQUIRED QtCore QtGui)
	include(${QT_USE_FILE})
	macro(qt_wrap_ui)
		qt4_wrap_ui(${ARGN})
	endmacro()
else()
	find_package(Qt5 ${rviz_QT_VERSION} REQUIRED Core Widgets)
	set(QT_LIBRARIES Qt5::Widgets)
	macro(qt_wrap_ui)
		qt5_wrap_ui(${ARGN})
	endmacro()
endif()

set(CMAKE_INCLUDE_CURRENT_DIR ON)
set(CMAKE_AUTOMOC ON)
set(CMAKE_AUTORCC ON)
add_definitions(-DQT_NO_KEYWORDS)

catkin_package(
	LIBRARIES
		moveit_task_visualization_tools
		motion_planning_tasks_utils
	INCLUDE_DIRS
		visualization_tools/include
	CATKIN_DEPENDS
		moveit_core
		moveit_task_constructor_msgs
		roscpp
		rviz
)

add_subdirectory(visualization_tools)
add_subdirectory(motion_planning_tasks)

install(FILES
	motion_planning_tasks_rviz_plugin_description.xml
	DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION})

install(DIRECTORY icons DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION})

=== visualization_tools/CMakeLists.txt ===
set(MOVEIT_LIB_NAME moveit_task_visualization_tools)

set(PROJECT_INCLUDE ${CMAKE_CURRENT_SOURCE_DIR}/include/moveit/visualization_tools)

# TODO: Remove when Kinetic support is dropped
if(rviz_VERSION VERSION_LESS 1.13.1) # Does rviz supports TF2?
  add_definitions(-DRVIZ_TF1)
endif()

set(HEADERS
	${PROJECT_INCLUDE}/display_solution.h
	${PROJECT_INCLUDE}/marker_visualization.h
	${PROJECT_INCLUDE}/task_solution_panel.h
	${PROJECT_INCLUDE}/task_solution_visualization.h
)

add_library(${MOVEIT_LIB_NAME}
	${HEADERS}

	src/display_solution.cpp
	src/marker_visualization.cpp
	src/task_solution_panel.cpp
	src/task_solution_visualization.cpp
)
set_target_properties(${MOVEIT_LIB_NAME} PROPERTIES VERSION "${${PROJECT_NAME}_VERSION}")

target_link_libraries(${MOVEIT_LIB_NAME}
	${catkin_LIBRARIES}
	${rviz_DEFAULT_PLUGIN_LIBRARIES}
	${OGRE_LIBRARIES}
	${QT_LIBRARIES}
	${Boost_LIBRARIES}
)
target_include_directories(${MOVEIT_LIB_NAME} PUBLIC include)
target_include_directories(${MOVEIT_LIB_NAME} SYSTEM
	PRIVATE ${catkin_INCLUDE_DIRS}
	PUBLIC ${rviz_OGRE_INCLUDE_DIRS}
)
add_dependencies(${MOVEIT_LIB_NAME} ${catkin_EXPORTED_TARGETS})

install(DIRECTORY include/ DESTINATION ${CATKIN_GLOBAL_INCLUDE_DESTINATION})

install(TARGETS ${MOVEIT_LIB_NAME}
	ARCHIVE DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
	LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION})

=== motion_planning_tasks/properties/CMakeLists.txt ===
set(MOVEIT_LIB_NAME motion_planning_tasks_properties)

set(SOURCES
	property_factory.cpp
)

find_package(PkgConfig REQUIRED)
pkg_check_modules(YAML yaml-0.1)
if (YAML_FOUND)
	# Only cmake > 3.12 provides XXX_LINK_LIBRARIES. Find the absolute path manually
	find_library(YAML_LIBRARIES ${YAML_LIBRARIES} PATHS ${YAML_LIBRARY_DIRS})
	list(APPEND SOURCES property_from_yaml.cpp)
	add_definitions(-DHAVE_YAML)
endif()

add_library(${MOVEIT_LIB_NAME} SHARED ${SOURCES})

target_link_libraries(${MOVEIT_LIB_NAME} ${QT_LIBRARIES} ${YAML_LIBRARIES})
target_include_directories(${MOVEIT_LIB_NAME} PUBLIC $<BUILD_INTERFACE:${CMAKE_CURRENT_SOURCE_DIR}/..>)
target_include_directories(${MOVEIT_LIB_NAME} SYSTEM PRIVATE ${catkin_INCLUDE_DIRS} ${YAML_INCLUDE_DIRS})

install(TARGETS ${MOVEIT_LIB_NAME}
	ARCHIVE DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
	LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION})

=== debian/changelog ===
ros-noetic-moveit-task-constructor-visualization (0.1.1-1buster) buster; urgency=high

  * Remove unused eigen_conversions includes
  * Contributors: Robert Haschke

 -- Robert Haschke <rhaschke@techfak.uni-bielefeld.de>  Tue, 14 Feb 2023 23:00:00 -0000

ros-noetic-moveit-task-constructor-visualization (0.1.0-1buster) buster; urgency=high

  * Initial release
  * Contributors: Robert Haschke, Michael Görner

 -- Robert Haschke <rhaschke@techfak.uni-bielefeld.de>  Wed, 01 Feb 2023 23:00:00 -0000

=== debian/control ===
Source: ros-noetic-moveit-task-constructor-visualization
Section: misc
Priority: optional
Maintainer: Robert Haschke <rhaschke@techfak.uni-bielefeld.de>
Build-Depends: debhelper (>= 9.0.0), qtbase5-dev, ros-noetic-catkin, ros-noetic-moveit-core, ros-noetic-moveit-resources-fanuc-moveit-config <!nocheck>, ros-noetic-moveit-ros-visualization, ros-noetic-moveit-task-constructor-core, ros-noetic-moveit-task-constructor-msgs, ros-noetic-roscpp, ros-noetic-rostest <!nocheck>, ros-noetic-rosunit <!nocheck>, ros-noetic-rviz
Homepage: 
Standards-Version: 3.9.2

Package: ros-noetic-moveit-task-constructor-visualization
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-noetic-moveit-core, ros-noetic-moveit-ros-visualization, ros-noetic-moveit-task-constructor-core, ros-noetic-moveit-task-constructor-msgs, ros-noetic-roscpp, ros-noetic-rviz
Description: Visualization tools for MoveIt Task Pipeline

## ros-noetic-moveit-task-constructor-visualization 0.1.3

=== debian/changelog ===
ros-noetic-moveit-task-constructor-visualization (0.1.3-1focal) focal; urgency=high



 -- Robert Haschke <rhaschke@techfak.uni-bielefeld.de>  Sun, 05 Mar 2023 23:00:00 -0000

ros-noetic-moveit-task-constructor-visualization (0.1.2-1focal) focal; urgency=high



 -- Robert Haschke <rhaschke@techfak.uni-bielefeld.de>  Thu, 23 Feb 2023 23:00:00 -0000

ros-noetic-moveit-task-constructor-visualization (0.1.1-1focal) focal; urgency=high

  * Remove unused eigen_conversions includes
  * Contributors: Robert Haschke

 -- Robert Haschke <rhaschke@techfak.uni-bielefeld.de>  Tue, 14 Feb 2023 23:00:00 -0000

ros-noetic-moveit-task-constructor-visualization (0.1.0-1focal) focal; urgency=high

  * Initial release
  * Contributors: Robert Haschke, Michael Görner

 -- Robert Haschke <rhaschke@techfak.uni-bielefeld.de>  Wed, 01 Feb 2023 23:00:00 -0000

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/noetic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF -DCATKIN_ENABLE_TESTING=OFF
endif

DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

%:
	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/noetic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/noetic" \
		$(BUILD_TESTING_ARG)

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-noetic-moveit-task-constructor-visualization//opt/ros/noetic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_install
